GroupMBean (Catalina Internal API Documentation)
Keywords: org.apache.catalina.mbeans.GroupMBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class GroupMBean

    java.lang.Object
      org.apache.commons.modeler.BaseModelMBean
          org.apache.catalina.mbeans.GroupMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class GroupMBean
extends org.apache.commons.modeler.BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.Group` component.

Version:
  $Revision: 367054 $ $Date: 2006-01-08 12:49:20 -0500 (Sun, 08 Jan 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected org.apache.commons.modeler.ManagedBean` | `managed` The `ManagedBean` information describing this MBean.
`protected javax.management.MBeanServer` | `mserver` The `MBeanServer` in which we are registered.
`protected org.apache.commons.modeler.Registry` | `registry` The configuration information registry for our managed beans.

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, attributes, generalBroadcaster, info, oname, resource, resourceType, source`

Constructor Summary
`GroupMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`void` | `addRole(java.lang.String rolename)` Add a new `Role` to those this group belongs to.
`java.lang.String[]` | `getRoles()` Return the MBean Names of all authorized roles for this group.
`java.lang.String[]` | `getUsers()` Return the MBean Names of all users that are members of this group.
`void` | `removeRole(java.lang.String rolename)` Remove a `Role` from those this group belongs to.

Methods inherited from class org.apache.commons.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, createResource, getAttribute, getAttributes, getClassName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, getRegistry, initModelInfo, invoke, isModelMBeanInfoValid, load, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedResource, setModeledType, setModelMBeanInfo, setRegistry, store, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### registry

    protected org.apache.commons.modeler.Registry registry

  The configuration information registry for our managed beans.

### mserver

    protected javax.management.MBeanServer mserver

  The `MBeanServer` in which we are registered.

### managed

    protected org.apache.commons.modeler.ManagedBean managed

  The `ManagedBean` information describing this MBean.

Constructor Detail

### GroupMBean

    public GroupMBean()
               throws javax.management.MBeanException,
                      javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### getRoles

    public java.lang.String[] getRoles()

  Return the MBean Names of all authorized roles for this group.

### getUsers

    public java.lang.String[] getUsers()

  Return the MBean Names of all users that are members of this group.

### addRole

    public void addRole(java.lang.String rolename)

  Add a new `Role` to those this group belongs to.

  Parameters:
    `rolename` - Role name of the new role

### removeRole

    public void removeRole(java.lang.String rolename)

  Remove a `Role` from those this group belongs to.

  Parameters:
    `rolename` - Role name of the old role

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.